Bug 966275 - CVE-2013-2098 CVE-2013-2099 python: ssl.match_hostname() DoS via certificates with specially crafted hostname wildcard patterns [fedora-all]
CVE-2013-2098 CVE-2013-2099 python: ssl.match_hostname() DoS via certificates...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: bzr (Show other bugs)
18
All Linux
low Severity low
: ---
: ---
Assigned To: Toshio Ernie Kuratomi
Fedora Extras Quality Assurance
: Security, SecurityTracking
Depends On:
Blocks: CVE-2013-2099
  Show dependency treegraph
 
Reported: 2013-05-22 18:18 EDT by Vincent Danen
Modified: 2013-06-07 00:37 EDT (History)
5 users (show)

See Also:
Fixed In Version: bzr-2.5.1-11.fc19
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-06 23:00:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2013-05-22 18:18:07 EDT
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please use the bodhi submission link
noted in the next comment(s).  This will include the bug IDs of this
tracking bug as well as the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
Bodhi notes field when available.

Please note: this issue affects multiple supported versions of Fedora.
Only one tracking bug has been filed; please ensure that it is only closed
when all affected versions are fixed.

[bug automatically created by: add-tracking-bugs]
Comment 1 Toshio Ernie Kuratomi 2013-05-23 15:55:10 EDT
@ooprala - I started to work on this by fixing up rawhide.  But when I went to merge back to f19 I found that you'd committed some other stuff there.

Would you make sure that you get that into rawhide and then merge the combined fixes back?  The CVE patch may need to be applied to more branches than your changes... I haven't looked farther than the F19 branch yet.
Comment 2 Ondrej Oprala 2013-05-24 08:00:42 EDT
Sorry, I don't know why I left rawhide unattended ;) . My f19 patches should now be in rawhide, and all should be merged back to f19.
Thanks,
Ondrej
Comment 3 Fedora Update System 2013-05-28 20:23:42 EDT
bzr-2.5.1-11.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/bzr-2.5.1-11.fc18
Comment 4 Fedora Update System 2013-05-28 20:23:53 EDT
bzr-2.5.1-11.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/bzr-2.5.1-11.fc17
Comment 5 Fedora Update System 2013-05-28 20:24:10 EDT
bzr-2.5.1-11.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/bzr-2.5.1-11.fc19
Comment 6 Fedora Update System 2013-05-29 13:43:19 EDT
Package bzr-2.5.1-11.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing bzr-2.5.1-11.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-9538/bzr-2.5.1-11.fc19
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2013-06-06 23:00:49 EDT
bzr-2.5.1-11.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2013-06-06 23:02:12 EDT
bzr-2.5.1-11.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2013-06-07 00:37:14 EDT
bzr-2.5.1-11.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.